﻿    @using Portal.Models;
    @using System.Web.UI.WebControls;
    @using System.Drawing;
    @using Portal.Models.LogMonitoring
    @model Toyota.Common.Web.MVC.ModelHolder
@{     
    ViewBag.Title = "IndexDetails";
    Layout = "~/Views/Layout/Dashboard.cshtml";
}
@section Script {
    function BeginGridCallback(s, e) {
      
        
    }
}
<div id="logDetail">
    <table width="100%">
        <tr>
            <td width="110px">Process Date</td>
            <td width="1px">:</td>
            <td width="150px">
                            @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "ProcessDate";
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        settings.Enabled = false;                       
                    }
                    ).Bind(Model.GetModel<LogMonitoringMaster>().ProcessDate).GetHtml()
            </td>
            <td width="20px">Procees ID</td>
            <td width="1px">:</td>
            <td width="170px">
                            @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "ProcessID";
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        settings.Enabled = false;
                    }
                ).Bind(Model.GetModel<LogMonitoringMaster>().ProcessID).GetHtml()
            </td>
        </tr>
        <tr>
            <td>Process Time</td>
            <td>:</td>
            <td>
                            @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "ProcessTime";
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        settings.Enabled = false;
                    }
                ).GetHtml()
            </td>
            <td>Status</td>
            <td>:</td>
            <td>
                            @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "Status";
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        settings.Enabled = false;
                    }
                         ).Bind(Model.GetModel<LogMonitoringMaster>().ProcessStatus).GetHtml()
            </td>
        </tr>
        <tr>
            <td>Sub System</td>
            <td>:</td>
            <td>
                            @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "SubSystem";
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        settings.Enabled = false;
                    }
                ).GetHtml()
            </td>
        </tr>
        <tr>
            <td>Function</td>
            <td>:</td>
            <td>
                            @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "Function";
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        settings.Enabled = false;
                    }
                           ).Bind(Model.GetModel<LogMonitoringMaster>().FunctionID).GetHtml()
            </td>
        </tr>
    </table>
    <br />
</div>

<div id="LogGridview">
    <table width="100%">
        <tr>
            <td>
                 @Html.Partial("GridIndexDetails", Model)
            </td>
        </tr>
        <tr>
            <td>
                    @Html.DevExpress().Button(settings =>
                    {
                        settings.Name = "btnBack";
                        settings.Text = "Back";
                        settings.Styles.Style.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                        settings.Styles.Style.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                        settings.RouteValues = new { Controller = "LogMonitoring", Action = "Back" };
                    }).GetHtml() 
            </td>
        </tr>
        <tr>
            <td>
                @Html.DevExpress().Button(
                    settings =>
                    {
                        settings.Name = "btnRefresh";
                        settings.Text = "Refresh";
                        settings.UseSubmitBehavior = true;
                    }
                ).GetHtml()
            </td>
        </tr>
        <tr>
            <td>
                @Html.DevExpress().Button(
                    settings =>
                    {
                        settings.Name = "btnDownload";
                        settings.Text = "Download";
                        settings.UseSubmitBehavior = true;
                        settings.ClientSideEvents.Click = "function(s,e) {  GridLogDetail.PerformCallback(); }";
                        
                    }
                ).GetHtml()
            </td>
        </tr>
    </table>
</div>